Subject: RE: RFC: linux compatibility
From: "Gary R. Van Sickle" <[email-masked]>
To: "'DJ Delorie'" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 13 Oct 2000 16:59:11 -0500

> -----Original Message-----
> From: DJ Delorie [mailto:[email-masked]]
> Sent: Friday, October 13, 2000 4:30 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: RFC: linux compatibility
>
> > 1.  POSIX compliant, if for no other reason than it's the
> right thing to do.
>
> We already have this as a goal.  However, POSIX doesn't cover
> everything.  Plus, Linux also has POSIX as a goal.  Downside: the
> POSIX specs are expensive to purchase and not available online.
>

What about the "Single Unix Specification" at Opengroup
(http://www.opengroup.org/publications/catalog/un.htm)?  Does anyone know
what relationship, if any, this has to POSIX?  It's free and online AFAICT,
at least what I've looked at.

> > 2.  "GNU compliant", by which I mean essentially that
> anything that links
> > and runs with glibc should work with Cygwin.
>
> Linux already uses glibc (at least, Red Hat Linux does), so tracking
> linux gets us this already.

Right, but how about we state it, "tracking glibc gets us Linux
compatibility"?

>  However, there may be some things that
> glibc supports that are fundamentally impossible under Windows.  I
> can't think of any off-hand, though.
>

You guys got Windows to fork().  You guys have darn near solved the text
file line ending tragedy that has plagued our industry for decades.  Friend,
there ain't *nothing* fundamentally impossible for the Cygwin team! ;-)

> > 3.  "Other-Unii compatible", meaning that aything that can be added
> > to the Cygwin mix that doesn't violate the above and yet allows it
> > to be more compatible with other distributions should be added.
>
> Right.  My suggestion is that Linux be the "other Unix" we've chosen
> to be compatible with.

But why choose?  Obviously some things may overlap to the extent that such
idealistic thinking isn't possible, but is that where you're at right now?
Taking your example, is it not possible to support *both* SYSV and BSD
timezone APIs?  To wrap one with the other?

>  It's much easier to say "it's just like Linux"
> than to say "this part is like Linux, but this part is like IRIX, and
> this part is like Solaris".
>

But all you do is trade "which Unix is it like?" questions for "why isn't it
like my favorite Unix, {Solaris/IRIX/FreeBSD/whatever}?" questions.  That
one sounds even harder to answer.

Gary R. Van Sickle ([email-masked])
Braemar Inc.
11481 Rupp Dr.
Burnsville, MN 55337

--
Want to unsubscribe from this list?
Send a message to [email-masked]